cancel
Showing results for 
Search instead for 
Did you mean: 

how to install security patch in version 1.8.0

how to install security patch in version 1.8.0

I got the message to install the patch. I downloaded the Patch file from here "https://www.magentocommerce.com/products/downloads/magento/". As of now I am working on localhost. I downloaded the file from there with '.sh' extension. I am trying to install it using cmd but hardluck. I got the Error Message:

 

Error! Some required system tools, that are utilized in this sh script, are not installed: Tool(s) "patch" is(are) missed, please install it(them).

 

Then I installed cygwin and tried to install it by using this, but still no luck. 

 

Then I got few links from where I can donwload the Patch zip files

 

http://madkingwebdesign.com/how-to-install-magento-security-patches/

 

http://magentary.com/kb/apply-supee-5344-and-supee-1533-without-ssh/

 

But I didn't get these zip files on Magento official site. Please let me know what should I do and how can I install the Patch.

 

Thank you,

Arvind

9 REPLIES

Re: how to install security patch in version 1.8.0

Hello @arvind1221

 

First of all, the error you are getting because sh files needs patch software to run the command. You can install that using this command in linux.

yum install patch

Then run command sh command for the patch installation

 

You can follow our blog post for the simple ways of patch installation, 

http://magecomp.com/blog/how-to-install-magento-security-patches/ 

 

SECURITY DISCLAIMER: The above website contains Magento Security Patch files which are self-hosted by the user and as such unsafe. Magento Forum advise all users to only download patch files from the official Magento Downloads page. 

Found something useful, please give "Kudos" or "Accept as Solution" for Token of Appreciation.
Free Magento Extensions : https://magecomp.com/free-magento-extensions.html

Re: how to install security patch in version 1.8.0

Error! Some required system tools, that are utilized in this sh script, are not installed:

Tool(s) "patch" is(are) missed, please install it(them).

 

patch is a command line utility that parses .patch files and applies the changes to the source code. Your Linux installation is missing the program patch and not the actual Magento patch...

 

Depending on your particular Linux distribution, you will have to use a package manager like rpm, apt-get, or yum to retrieve and install the patch software package.

 

If you are not running your own server or VPS, you probably will need to contact your hosting provider to have them install it for you.

Re: how to install security patch in version 1.8.0

Hi you may also view our patched files in the Article. We have there difference between patched and original files for magento 1.6.x-1.9.x

Re: how to install security patch in version 1.8.0

Hello  @theMageComp

 

Thank you for the solution. But I want to let you know I am working on WAMP and it's Linux Based Command. I tried to run ".sh" on windows command line. Then I got the error which I mentiond in my first post. Then from google I got to know first I need to install cygwin and then install the ".sh" extensioin file. I did the same but no luck.

 

What should I do now...?

 

Thank you,

Arvind

Re: how to install security patch in version 1.8.0

I crerated one php file and apply the below code in that file

 

<?php

print("<PRE>");
passthru("/bin/bash PATCH_SUPEE-5344_CE_1.8.0.0_v1-2015-02-10-08-10-38.sh");
print("</PRE>");
echo "Done";
?>

 

I Placed that file in the root of the folder and then execute it through the browser. But still didn't get the sucess. It was just displaying the Done Message on the screen...

Re: how to install security patch in version 1.8.0

Hello @arvind1221

 

Which Magento version you are using currently? If it is not 1.9, you will need to install both the patches that is 5344 and 1533 to make your store secure. You can use other methods from our article if you still face issues you can contact us as well, we help you with patch installation for every community member for FREE. 

Found something useful, please give "Kudos" or "Accept as Solution" for Token of Appreciation.
Free Magento Extensions : https://magecomp.com/free-magento-extensions.html

Re: how to install security patch in version 1.8.0

I installed both the patches. After this I made a test on "http://magento.com/security-patch". It gives me an Error Message

"ERROR: I could not connect to that server. Please double-check for typos." Let me know whar should I do...?

 

Regards,

Arvind

Re: how to install security patch in version 1.8.0

@arvind1221

 

Ok. 

If you can let me have a look at, I can check and fix the issue. PM me your store details to check.

Found something useful, please give "Kudos" or "Accept as Solution" for Token of Appreciation.
Free Magento Extensions : https://magecomp.com/free-magento-extensions.html

Re: how to install security patch in version 1.8.0

@theMageComp PM Sent.